MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# directory Struct Reference

`#include <directory.h>`

## Data Fields
struct dirvec | children
struct songvec | songs
struct playlist_vector | playlists
struct directory * | parent
time_t | mtime
ino_t | inode
dev_t | device
unsigned | stat
char | path [sizeof(long)]

## Detailed Description

Definition at line 36 of file directory.h.

## Field Documentation

struct dirvec directory::children

Definition at line 37 of file directory.h.

dev_t directory::device

Definition at line 45 of file directory.h.

ino_t directory::inode

Definition at line 44 of file directory.h.

time_t directory::mtime

Definition at line 43 of file directory.h.

struct directory* directory::parent

Definition at line 42 of file directory.h.

char directory::path[sizeof(long)]

Definition at line 47 of file directory.h.

struct playlist_vector directory::playlists

Definition at line 40 of file directory.h.

struct songvec directory::songs

Definition at line 38 of file directory.h.

unsigned directory::stat

Definition at line 46 of file directory.h.

The documentation for this struct was generated from the following file:

- src/directory.h